%define url_ver %(echo %{version} | cut -d. -f1,2)

%define api 	2
%define major	0
%define gmajor	2.0
%define libname	%mklibname %{name} %{api} %{major}
%define girname	%mklibname %{name}-gir %{gmajor}
%define devname	%mklibname %{name} %{api} -d

Name:		geoclue
Version:	2.4.7
Release:	%mkrel 1
Summary:	A modular geoinformation service
Group:		Geography
License:	GPLv2+
URL:		http://geoclue.freedesktop.org/
Source0:	http://www.freedesktop.org/software/geoclue/releases/%{url_ver}/geoclue-%{version}.tar.xz

BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(avahi-glib)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libnm-glib) >= 0.9.8.0
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(mm-glib)

# for demo agent
BuildRequires:	pkgconfig(libnotify)

# for TLS/SSL support
Requires:	glib-networking

%description
Geoclue is a D-Bus service that provides location information. The
primary goal of the Geoclue project is to make creating location-aware
applications as simple as possible, while the secondary goal is to
ensure that no application can access location information without
explicit permission from user.

Geoclue used to also do (reverse-)geocoding but that functionality has
been dropped in favor of geocode-glib library.

However project is in the early stages of development and hence
lacking essential features. Currently it can only determine your
location based on your IP (i-e city-level accuracy) and does not have
any permission control.

%files
%doc NEWS README
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.GeoClue2.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.GeoClue2.Agent.conf
%dir %{_sysconfdir}/%{name}/
%{_sysconfdir}/%{name}/%{name}.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.GeoClue2.service
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Agent.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Client.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Location.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Manager.xml
%{_datadir}/applications/geoclue-demo-agent.desktop
%{_datadir}/applications/geoclue-where-am-i.desktop
%{_libexecdir}/geoclue-2.0/
%{_libexecdir}/geoclue
%{_unitdir}/geoclue.service

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Geoclue Client Library
Group:		System/Libraries

%description -n %{libname}
A convenience library to interact with Geoclue service.

%files -n %{libname}
%{_libdir}/libgeoclue-%{api}.so.%{major}
%{_libdir}/libgeoclue-%{api}.so.%{major}.*

#--------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for geoclue2
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for geoclue2.

%files -n %{girname}
%{_libdir}/girepository-1.0/Geoclue-%{gmajor}.typelib

#--------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for geoclue2
Group:		Development/Other
Obsoletes:	libgeoclue1.0-devel < 1.99.2
Obsoletes:	lib64geoclue1.0-devel < 1.99.2
Obsoletes:	%{name}-devel < 2.4.0
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}2-devel = %{version}-%{release}
# (tv) fix "No rule to make target '/usr/share/dbus-1/interfaces/org.freedesktop.GeoClue2.xml', needed by 'geoclue.h'":
Requires:	geoclue
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %{devname}
This package contains the development files for geoclue2.

%files -n %{devname}
%{_includedir}/libgeoclue-%{gmajor}/
%{_libdir}/pkgconfig/geoclue-%{gmajor}.pc
%{_libdir}/pkgconfig/libgeoclue-%{gmajor}.pc
%{_libdir}/libgeoclue-%{api}.so
%{_datadir}/gir-1.0/Geoclue-%{gmajor}.gir

#--------------------------------------------------------------------
%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--enable-demo-agent \
	--disable-static \
	--enable-introspection=yes \
	--with-systemdsystemunitdir=%{_unitdir}
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete


%changelog
* Tue May 30 2017 wally <wally> 2.4.7-1.mga6
+ Revision: 1105616
- new version 2.4.7

* Wed Sep 14 2016 akien <akien> 2.4.4-1.mga6
+ Revision: 1052602
- Version 2.4.4

* Thu Mar 03 2016 wally <wally> 2.4.3-1.mga6
+ Revision: 984896
- new version 2.4.3

* Sun Feb 28 2016 wally <wally> 2.4.2-1.mga6
+ Revision: 980307
- new version 2.4.2

* Sun Feb 14 2016 umeabot <umeabot> 2.4.0-2.mga6
+ Revision: 960275
- Mageia 6 Mass Rebuild

  + wally <wally>
    - add more general provides to devel pkg

* Tue Oct 27 2015 wally <wally> 2.4.0-1.mga6
+ Revision: 895842
- new version 2.4.0
- add client lib and gir pkgs
- rename devel pkg

* Fri Sep 18 2015 wally <wally> 2.3.0-1.mga6
+ Revision: 880340
- new version 2.3.0

* Thu Aug 06 2015 wally <wally> 2.2.0-1.mga6
+ Revision: 861481
- new version 2.2.0

* Sun Jun 21 2015 wally <wally> 2.1.10-1.mga6
+ Revision: 837599
- new version 2.1.10

* Mon Feb 16 2015 wally <wally> 2.1.9-4.mga5
+ Revision: 815245
- require glib-networking for TLS/SSL support

* Wed Oct 15 2014 umeabot <umeabot> 2.1.9-3.mga5
+ Revision: 744772
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.9-2.mga5
+ Revision: 679496
- Mageia 5 Mass Rebuild

* Thu Jun 19 2014 wally <wally> 2.1.9-1.mga5
+ Revision: 638137
- new version 2.1.9
- rediff pkgconfig patch

* Mon Apr 28 2014 wally <wally> 2.1.8-1.mga5
+ Revision: 618636
- new version 2.1.8

* Fri Mar 28 2014 tv <tv> 2.1.7-2.mga5
+ Revision: 609217
- make devel package requires geoclue thus fixing building g-settings-daemon

* Tue Mar 25 2014 wally <wally> 2.1.7-1.mga5
+ Revision: 608563
- new version 2.1.7

* Sun Mar 09 2014 wally <wally> 2.1.6-2.mga5
+ Revision: 601524
- enable demo agent

* Sun Mar 09 2014 wally <wally> 2.1.6-1.mga5
+ Revision: 601519
- new version 2.1.6

* Wed Feb 26 2014 wally <wally> 2.1.5-1.mga5
+ Revision: 597302
- new version 2.1.5

* Wed Feb 19 2014 wally <wally> 2.1.4-1.mga5
+ Revision: 594788
- new versino 2.1.4
- rediff pkgconfig patch
- loosen nm-glib requires

* Tue Feb 11 2014 tv <tv> 2.1.2-1.mga5
+ Revision: 589419
- adjust file list

  + wally <wally>
    - new version 2.1.2
    - drop patches from upstream
    - rediff pkgconfig location patch

* Fri Dec 20 2013 colin <colin> 2.0.0-3.mga4
+ Revision: 559133
- Use systemd for geoclue dbus service activation

* Sun Oct 20 2013 umeabot <umeabot> 2.0.0-2.mga4
+ Revision: 536800
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 wally <wally> 2.0.0-1.mga4
+ Revision: 485622
- new version 2.0.0

* Tue Sep 17 2013 wally <wally> 1.99.4-1.mga4
+ Revision: 480931
- new version 1.99.4
- rediff pkgconfig location patch

* Tue Sep 03 2013 wally <wally> 1.99.3-1.mga4
+ Revision: 474796
- new version 1.99.3
- clean unneeded BRs
- rediff pkgconfig patch

* Sat Aug 24 2013 fwang <fwang> 1.99.2-3.mga4
+ Revision: 471307
- cleared br
- geoip-update locates in geocode-glib previously

* Fri Aug 23 2013 wally <wally> 1.99.2-2.mga4
+ Revision: 470396
- obsolete old arch specific devel pkg

* Fri Aug 23 2013 wally <wally> 1.99.2-1.mga4
+ Revision: 470390
- new version 1.99.2
- rediff pkgconfig patch to install .pc file to %%_datadir as devel pkg is now noarch
- disable geoip-server build for now
- update description
- drop client-side library

* Wed Aug 21 2013 wally <wally> 1.99.1-2.mga4
+ Revision: 468849
- build with geoip support

* Wed Aug 21 2013 wally <wally> 1.99.1-1.mga4
+ Revision: 468840
- new version 1.99.1
- update license
- add patch to fix pkgconfig file
- update BRs

* Tue Aug 13 2013 wally <wally> 1.99.0-1.mga4
+ Revision: 466188
- new version 1.99.0 (first release of "new" geoclue)
- spec based on one from Olav Vitters

* Fri Jan 11 2013 umeabot <umeabot> 0.12.99-3.mga3
+ Revision: 351367
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 fwang <fwang> 0.12.99-2.mga3
+ Revision: 308202
- update rpm group

* Fri Oct 19 2012 fwang <fwang> 0.12.99-1.mga3
+ Revision: 308201
- update file list
- fix build with latest gps
- add more br
- acturally use gtk2.0
- new version 0.12.99

  + ennael <ennael>
    - Documentation group

* Mon Jun 20 2011 dmorgan <dmorgan> 0.12.0-11.mga2
+ Revision: 110487
- Rebuild against new libnm-glib

* Tue Apr 05 2011 dmorgan <dmorgan> 0.12.0-10.mga1
+ Revision: 80751
- Add missing libgeoclue-devel provide

* Tue Apr 05 2011 pterjan <pterjan> 0.12.0-9.mga1
+ Revision: 80592
- Drop major from -devel

* Tue Apr 05 2011 pterjan <pterjan> 0.12.0-8.mga1
+ Revision: 80585
- Revert to standard name for devel package

* Mon Apr 04 2011 dmorgan <dmorgan> 0.12.0-7.mga1
+ Revision: 80509
- Provides libgeoclue-devel for compatibility

* Mon Apr 04 2011 dmorgan <dmorgan> 0.12.0-6.mga1
+ Revision: 80478
- Rebuild because of missing packages

* Thu Mar 24 2011 boklm <boklm> 0.12.0-5.mga1
+ Revision: 76141
- rebuild for bug #497

* Sat Mar 19 2011 dmorgan <dmorgan> 0.12.0-4.mga1
+ Revision: 74393
- Fix buildrequires
- Fix buildrequires
- Fix buildrequires
- Fix buildrequires
- Fix buildrequires
- Rebuild because of missing pacakges

* Mon Mar 07 2011 dmorgan <dmorgan> 0.12.0-3.mga1
+ Revision: 66282
- Bump release
- SYnc with fedora

* Sun Jan 23 2011 pterjan <pterjan> 0.12.0-2.mga1
+ Revision: 35402
- Drop old stuff
- imported package geoclue


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.12.0-2mdv2011.0
+ Revision: 605446
- rebuild

* Sun Apr 04 2010 Emmanuel Andry <eandry@mandriva.org> 0.12.0-1mdv2010.1
+ Revision: 531453
- always need BR gtk-doc
- New version 0.12.0
- drop patches (merged upstream)

* Wed Mar 03 2010 Emmanuel Andry <eandry@mandriva.org> 0.11.1.1-0.20100119.2mdv2010.1
+ Revision: 513890
- diff p1 to fix build with gpsd-2.91

* Tue Jan 19 2010 Emmanuel Andry <eandry@mandriva.org> 0.11.1.1-0.20100119.1mdv2010.1
+ Revision: 493842
- New svn snapshot
- fix geoclue-test-gui packaging

* Sun Sep 27 2009 Frederik Himpe <fhimpe@mandriva.org> 0.11.1.1-0.20090310.2mdv2010.0
+ Revision: 450018
- Add patch fixing hostip provider for new API
  (freedesktop.org bug #24058)
- Update to 20090310 snapshot used by Fedora: fixes geoclue-master segfault
  when Empathy starts up

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 0.11.1-2mdv2010.0
+ Revision: 421343
- fix devel provides

* Sun Jul 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.11.1-1mdv2010.0
+ Revision: 400470
- add buildrequires on xsltproc
- disable parallel make
- add spec and source files
- create geoclue

